Create account / Log in

v3.3.2 on Mac

Issues with the Vassal engine.

Moderators: uckelman, Tim M

v3.3.2 on Mac

Postby ajsjino » August 2nd, 2020, 7:30 am

When I try to open the downloaded 3.3.2 file to open/instal it I get the message' The file “VASSAL-3.3.2-macosx.dmg.download” doesn’t appear to be a valid download file'.

Two questions:

How do I get round this. Sorry if it's obvious to most people, but I cannot figure it out. The OS I'm on is 10.15.5.

And if I do load this version will it allow other people to continue a pbem game we are playing if they are still on an earlier version? Or do I need to wait till that game is finished before loading the latest Vassal module?

Thanks for all the great work, as ever
John
ajsjino
 
Posts: 17
Joined: March 16th, 2012, 8:57 am
Location: Nr London, UK

Re: v3.3.2 on Mac

Postby tinjaw » August 2nd, 2020, 1:26 pm

The file hasn't finished downloading. That is why it has a download extension.

And wait. You will not be able to play with people using older versions.
User avatar
tinjaw
 
Posts: 24
Joined: April 10th, 2020, 12:11 pm

Re: v3.3.2 on Mac

Postby Flint1b » August 2nd, 2020, 1:36 pm

The savegame format has not changed between 3.2 and 3.3. The 3.2 players will never know that a savegame was saved on 3.3.

I use 3.3 to play with other people, I have no idea which versions they use, it's none of my concern, and I don't tell them that I play on 3.3, it's none of their concern.
User avatar
Flint1b
 
Posts: 402
Joined: May 19th, 2020, 12:27 am
Location: Colonia Agrippina

Re: v3.3.2 on Mac

Postby ajsjino » August 2nd, 2020, 4:48 pm

Thanks, a bit more patience and it came down without the extension and worked fine......

And will hope it doesn't stop the game that's ongoing where I don't know what version the other players are on. If it does I'll post back on here so others know it may be a problem for them too.
ajsjino
 
Posts: 17
Joined: March 16th, 2012, 8:57 am
Location: Nr London, UK

Re: v3.3.2 on Mac

Postby JoelCFC25 » August 3rd, 2020, 1:57 am

ajsjino wrote:And will hope it doesn't stop the game that's ongoing where I don't know what version the other players are on. If it does I'll post back on here so others know it may be a problem for them too.


I'm at pains to find the precise post at the moment, but I recall seeing assurances that logfiles and saved games are interoperable between users on 3.2.17 and 3.3.x.

The thing you can't do (at least not in a straightforward manner) is use 3.2.17 to open modules saved in 3.3.0 or newer.
JoelCFC25
 
Posts: 708
Joined: October 12th, 2010, 5:15 pm
Location: Minnetrista, MN

Re: v3.3.2 on Mac

Postby uckelman » August 3rd, 2020, 10:48 am

Thus spake JoelCFC25 via messages:
>
> I'm at pains to find the precise post at the moment, but I recall seeing
> assurances that logfiles and saved games are interoperable between users
> on 3.2.17 and 3.3.x.
>
> The thing you can't do (at least not in a straightforward manner) is use
> 3.2.17 to open modules saved in 3.3.0 or newer.

Both of these are accurate, through 3.3.2.

--
J.
User avatar
uckelman
Site Admin
 
Posts: 8789
Joined: December 10th, 2007, 9:48 am
Location: Durham, England


Return to Technical Support & Bugs

Who is online

Users browsing this forum: Google [Bot] and 2 guests